function AISMN_Monitor_Actions::OnEnter(%this,%obj)
{
   return;
}

function AISMN_Monitor_Actions::OnExit(%this,%obj)
{
   return;
}

//EXIT 0: NO ACTIONS GIVEN
function AISMN_Monitor_Actions::Update(%this, %data)
{
   if (%data.getCurrAction() $= "" || %data.getCurrAction() $= "attack")
   {
      ReturnValue(%data, 0);
   }
   else if (%data.isUnderAttack() == true)
   {
      ReturnValue(%data, 0);
   }
   else
   {
      ReturnValue(%data, -1);
   }
}
